Subject: Re: bug#732: Every update kills system as library is not in /lib

From: Klaus Ethgen <[email-masked]>
Date: Tue, 3 Jan 2023 09:26:08 +0100

Hi Mark,

Am Di den  3. Jan 2023 um  9:08 schrieb Mark Hindley:
> First of all,  I want to make it clear that I am sympathetic with your concerns.
> 
> On Mon, Jan 02, 2023 at 11:13:31AM +0100, Klaus Ethgen wrote:
> > Package: libpcre2-8-0
> > Version: 10.42-1
> > Severity: critical
[...]
> Whilst Devuan has not forced merged-usr, I am unsure how long that approach will
> be feasible. I fear, not long.
> 
> I greatly regret Debian's decisions in this area which seem to me to place dogma
> above supporting existing systems for little practical benefit. However, that
> ship has sailed.
> 
> Yes, Devuan *could* fork this particular library, however, it is likely to be the
> first of many and I am not sure that is a viably approach for Devuan to take.

The decission in Debian is caused by systemd and the folks around not
understanding the reason for having important libraries (and binaries)
in / instead of /usr. It is simply a form of ignorance.

When it comes to the libraries that are already broken (but could be
fixed with dpkg-divert) are the following:
  - libargon2-1
  - libpopt0
  - libkmod2
  - liblz4-1
  - libzstd1
  - libjson-c3
  - libjson-c4
  - libjson-c5
  - libssl1.1
  - libssl3
  - libaio1
  - libacl1
  - libattr1
  - libuuid1
  - libblkid1
  - libelogind0
  - libmount1
  - libedit2
  - libbsd0
  - libmd0

I think, it could be doable to fix that packages. Even more as most of
them was in /lib in the past. So it was a active form of sabotage of
Debian.

There could be even a package setting up that diverts en mass to fix
that.

Regards
   Klaus
-- 
Klaus Ethgen                                       http://www.ethgen.ch/
pub  4096R/4E20AF1C 2011-05-16            Klaus Ethgen <[email-masked]>
Fingerprint: 85D4 CA42 952C 949B 1753  62B3 79D0 B06F 4E20 AF1C